TenantControllerQueryTenantInfos Method |
POST /Tenant/QueryInfos
Gets information about multiple tenants.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPostAttribute]
[ActionNameAttribute("QueryInfos")]
public HttpResponseMessage QueryTenantInfos(
[FromBodyAttribute] GetTenantsOptions options,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("QueryInfos")>
Public Function QueryTenantInfos (
<FromBodyAttribute> options As GetTenantsOptions,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"QueryInfos")]
HttpResponseMessage^ QueryTenantInfos(
[FromBodyAttribute] GetTenantsOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("QueryInfos")>]
member QueryTenantInfos :
[<FromBodyAttribute>] options : GetTenantsOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsGetTenantsOptions
An object that carries all needed information about the tenants that need to be retrieved. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessageAn array of
TenantInfoData objects, or a status code indicating the problem.
See Also